### one pass graphics tools
### this system is used in the onepassbitmapalgorithms

sub new {
    my $class = shift;

    $self = { algorithm => undef,  };
    
    bless $self, $class;
}

### FIXME run the OnePassAlgorithm or override
sub run {
    my ($self, $algo) = @_;

    return undef;
}

1;
